Bug 70094 - 2.4.18-5smp boot hang loading aic7xxx on Dell 4600
2.4.18-5smp boot hang loading aic7xxx on Dell 4600
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-30 06:31 EDT by Nick Strugnell
Modified: 2007-04-18 12:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 22:00:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Strugnell 2002-07-30 06:31:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
Both the 7.3 default SMP kernel, and the errata 2.4.18-5 SMP kernel hang during
boot while trying to load the aic7xxx driver. The uniprocessor kernel does not
hang, nor does SMP 7.2 installation.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install RH Linux on a Dell 4600 SMP machine
2.Reboot with the SMP kernel
3.Wait for hang when loading aic7xxx driver
	

Actual Results:  Machine hanged

Expected Results:  boot should have proceeded

Additional info:

Workaround
^^^^^^^^^^
This can be worked around by using the aic7xxx_old driver. This is done by
booting as uniprocessor, editing /etc/modules.conf and replacing aic7xxx with
aic7xxx_old, and remaking the initial ramdisk in /boot using the mkinitrd command.
Comment 1 Timothy F. Sipples 2002-08-13 00:18:03 EDT
I have this same problem on an IBM eServer xSeries 350 (x350) model 8682-5RY
server.  This server has 4 processors (Pentium III Xeon 700 MHz).  With the SMP
kernel, there are repeated SCSI errors at bootup.  With the uniprocessor kernel,
there's no problem booting up.  Problem occurs with both 2.4.18-3smp and
2.4.18-5smp.  This server also uses the aic7xxx driver.

I've switched to the uniprocessor kernel as a temporary workaround, but I will
check on using aic7xxx_old.
Comment 2 Justin T. Gibbs 2003-01-10 19:35:50 EST
Is this still a problem with later versions of RedHat and/or the aic7xxx
driver?
Comment 3 Dave Jones 2003-12-16 22:00:40 EST
One assumes not judging by the inactivity, Closing.

Note You need to log in before you can comment on or make changes to this bug.